FreeMat

- Main Page
- Related Pages

vtkBrownianPoints

Section: Visualization Toolkit Graphics Classes

# Usage

vtkBrownianPoints is a filter object that assigns a random vector (i.e., magnitude and direction) to each point. The minimum and maximum speed values can be controlled by the user.

To create an instance of class vtkBrownianPoints, simply invoke its constructor as follows

      obj = vtkBrownianPoints

# Methods

The class vtkBrownianPoints has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkBrownianPoints class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkBrownianPoints = obj.NewInstance ()`
- `vtkBrownianPoints = obj.SafeDownCast (vtkObject o)`
- `obj.SetMinimumSpeed (double )` - Set the minimum speed value.
- `double = obj.GetMinimumSpeedMinValue ()` - Set the minimum speed value.
- `double = obj.GetMinimumSpeedMaxValue ()` - Set the minimum speed value.
- `double = obj.GetMinimumSpeed ()` - Set the minimum speed value.
- `obj.SetMaximumSpeed (double )` - Set the maximum speed value.
- `double = obj.GetMaximumSpeedMinValue ()` - Set the maximum speed value.
- `double = obj.GetMaximumSpeedMaxValue ()` - Set the maximum speed value.
- `double = obj.GetMaximumSpeed ()` - Set the maximum speed value.